Subject: Re: [net v4] net: phy: Provide Module 4 KSZ9477 errata (DS80000754C)

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 6 Sep 2023 07:40:20 +0100

On Wed, Sep 06, 2023 at 01:29:45AM +0300, Vladimir Oltean wrote:
> It's probably not causing practical harm, but currently, we tell
> genphy_config_eee_advert() to include reserved bits of the MMD EEE
> Advertising Register (MMD 0x07 : 0x3C) into its modification mask.

Ah, you've fallen into that trap. genphy_config_eee_advert() is
obsolete and redundant. Nothing calls it, and it should be removed.

What's actually used is genphy_c45_an_config_eee_aneg() and
genphy_c45_write_eee_adv(). The latter will not modify any reserved
bits in the register.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!